using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Tutorial5
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            counter = 0;
            numClicks = 0;
            InitializeComponent();
            timer1.Enabled = true;
            Timer_Echo.Text = "0 : Seconds have passed";
            
        }

        private void Btn_Add_Click(object sender, EventArgs e)
        {
            numClicks++;
            Echo_Area.Text = numClicks.ToString();

        }

        private void Btn_Quit_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void V_Slider_Bar_Scroll(object sender, ScrollEventArgs e)
        {
            V_Slider_Echo.Text = e.NewValue.ToString();
           
        }

        private void H_Slider_Bar_Scroll(object sender, ScrollEventArgs e)
        {
            H_Slider_Echo.Text = e.NewValue.ToString();
            
        }

        private void Form1_MouseMove(object sender, MouseEventArgs e)
        {
            Mouse_Echo.Text = "Mouse Move at " + e.X.ToString() + " , " + e.Y.ToString();
        }

        private void Form1_MouseDown(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left)
            {
                Mouse_Echo.Text = "Left Mouse Down at " + e.X.ToString() + " , " + e.Y.ToString();
            }

            if (e.Button == MouseButtons.Right)
            {
                Mouse_Echo.Text = "Right Mouse Down at " + e.X.ToString() + " , " + e.Y.ToString();
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            counter++;
            Timer_Echo.Text = counter.ToString() + " : Seconds have passed";

            if (TIMER_CONTROL_SLIDERS.Checked)
            {
                int hValue = H_Slider_Bar.Value;
                if (hValue > 0)
                {
                    H_Slider_Bar.Value = hValue - 1;
                    H_Slider_Echo.Text = H_Slider_Bar.Value.ToString();

                }
                int vValue = V_Slider_Bar.Value;
                if (vValue > 0)
                {
                    V_Slider_Bar.Value = vValue - 1;
                    V_Slider_Echo.Text = V_Slider_Bar.Value.ToString();
                }

                if ((hValue == 0) && (vValue == 0))
                {
                    TIMER_CONTROL_SLIDERS.Checked = false;
                }
            }
        }


     
    }
}