using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Tutorial7
{
    public partial class Form1 : Form
    {
        private WinFormUtility.GraphicsPanel drawPanel;

        public Form1()
        {
            InitializeComponent();
            drawPanel = new WinFormUtility.GraphicsPanel();
            drawPanel.Size = Placeholder.Size;
            Placeholder.Controls.Add(drawPanel);
    
            drawPanel.InitializeGraphics();
            timer1.Enabled = true;
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            if (drawPanel != null)
            {
                drawPanel.Draw();
            }
        }

        private void Btn_Quit_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}